Bug 807816 - Xalan-c segfaults on any input
Summary: Xalan-c segfaults on any input
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: xalan-c
Version: el6
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Nick
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-28 19:54 UTC by Nick
Modified: 2020-11-30 15:57 UTC (History)
2 users (show)

Fixed In Version: 1.11.0-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-30 15:57:44 UTC
Type: ---


Attachments (Terms of Use)

Description Nick 2012-03-28 19:54:59 UTC
Description of problem:


Version-Release number of selected component (if applicable):
xalan-c.x86_64 1.10.0-7.el6.1

How reproducible:
Run Xalan

Steps to Reproduce:
1. Xalan test.xml test.xsl

  
Actual results:
Segmentation fault

Expected results:
XML to be transformed using the xsl stylesheet

Additional info:
Mar 29 08:13:33 dev kernel: Xalan[12694]: segfault at 18 ip 00007fa1b0eb2cb9 sp 00007fffec347950 error 4 in libxalan-c.so.110.0[7fa1b0c2d000+3e2000]

The same bug does not exist in the i686 version of this package.

Comment 1 Nick 2013-09-30 22:01:24 UTC
I also see this issue:

Sep 30 17:52:01 admin kernel: Xalan[25236]: segfault at 18 ip 00007f5b44758cb9 sp 00007fffa8ff33d0 error 4 in libxalan-c.so.110.0[7f5b444d3000+3e2000]

Comment 2 Nick 2013-09-30 23:45:39 UTC
I did a bit of work with this and it would seem the xalan-c-1.10.0-new-xerces-c.patch in xalan-c isn't working as intended.

A simple solution is to upgrade to the latest version of xalan-c and xerces-c: http://www.noodles.net.nz/2013/09/30/xalan-segfault/

Comment 3 Fedora Update System 2013-10-13 21:34:53 UTC
xalan-c-1.11.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/xalan-c-1.11.0-1.el6

Comment 4 Fedora Update System 2013-10-14 16:07:54 UTC
Package xalan-c-1.11.0-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing xalan-c-1.11.0-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11831/xalan-c-1.11.0-1.el6
then log in and leave karma (feedback).

Comment 5 Ben Cotton 2020-11-05 16:48:48 UTC
This message is a reminder that EPEL 6 is nearing its end of life. Fedora will stop maintaining and issuing updates for EPEL 6 on 2020-11-30. It is our policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as EOL if it remains open with a 'version' of 'el6'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later EPEL version.

Thank you for reporting this issue and we are sorry that we were not able to fix it before EPEL 6 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora, you are encouraged  change the 'version' to a later Fedora version prior this bug is closed as described in the policy above.

Comment 6 Ben Cotton 2020-11-30 15:57:44 UTC
EPEL el6 changed to end-of-life (EOL) status on 2020-11-30. EPEL el6 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
EPEL please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.